////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#define MAXSQLBUFLEN  255
#define MAXSQLCONNOUT 1024

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

class SQLBasics{
    public:
        char *Driver;
        char *Server;
        char *UID;
        char *PWD;
        char *Database;

		bool DBConnect(void);
        void DBCloseCursor(HSTMT);
        bool DBExecute(char *, HSTMT *);
        void DBDisconnect(void);
        void DBGetErrorMessage(char *);
        bool DBFetch(HSTMT *);
        bool DBGetData(HSTMT *, SQLUSMALLINT, SQLSMALLINT, SQLPOINTER, SQLINTEGER, SQLINTEGER *);

        SQLBasics();
        ~SQLBasics();

    private:
        HENV SQLEnvironment;
        HDBC SQLConnection;
        bool Connected;
};

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

